<?php
/**
 * Plugin Name: WooCommerce Email Customer Address
 * Plugin URI: https://gist.github.com/BFTrick/7891074
 * Description: Email the site admin and customer when a customer changes their address
 * Author: Mark Lambert & Patrick Rauland
 * Version: 1.0.3
 */

function woo_email_customer_address( $user_id ) {

	global $current_user;

	// get user data
	get_currentuserinfo();

	// get shipping data
	$shipping_address = woo_get_formatted_shipping_address();

	// get admin email
	$email = get_option( 'admin_email', '' ).', '.$current_user->user_email;
	$subject = "ACTION REQUIRED - Address Update | RWAF";
	$headers[] = 'From: RWAF <no-reply@shop.rabbitwelfare.co.uk>';

	// format email
	$message = 'Hi ' . $current_user->user_firstname . "\n";
	$message .= "\n";
	$message .= 'We have received notification your address has been recently updated' . "\n";
	$message .= "\n";
	$message .= 'ACTION REQUIRED: If you are an RWAF member your address will need to be manually updated for your copies of Rabbiting On magazine subscription.' . "\n";
	$message .= 'Please phone 08443246090 between 11 and 3 on weekdays or email us at hq@rabbitwelfare.co.uk with your new address' . "\n";
	$message .= "\n";
	$message .= 'New shipping address: ' . "\n";
	$message .= $shipping_address . "\n";
	$message .= "\n";
	$message .= 'Thank You' . "\n";
	$message .= 'RWAF' . "\n";

	// make sure we have all of the required data
	if ( empty ( $email ) ) {
		return;
	}

	// send email
	wp_mail( $email, $subject, $message, $headers );

}
add_action( 'woocommerce_customer_save_address', 'woo_email_customer_address', 20 );


function woo_get_formatted_shipping_address() {
	global $woocommerce;

	// get the data from the profile after it's set by the customer save
	$curr_user      = wp_get_current_user();
	$user_id        = $curr_user->ID;
	//$woocommerce->customer->set_default_data();

	//Shipping Address
	$address .= get_user_meta( $user_id, 'shipping_address_1', true );//$woocommerce->customer->get_shipping_address();
	$address .= "\n";
	if(!empty(get_user_meta( $user_id, 'shipping_address_2', true ))){
		$address .= get_user_meta( $user_id, 'shipping_address_2', true );//$woocommerce->customer->get_shipping_address_2();
		$address .= "\n";
	};
	$address .= get_user_meta( $user_id, 'shipping_city', true );//$woocommerce->customer->get_shipping_city();
	$address .= " ";
	$address .= get_user_meta( $user_id, 'shipping_state', true );//$woocommerce->customer->get_shipping_state();
	$address .= ", ";
	$address .= get_user_meta( $user_id, 'shipping_postcode', true );//$woocommerce->customer->get_shipping_postcode();
	$address .= "\n";
	$address .= get_user_meta( $user_id, 'shipping_country', true );//$woocommerce->customer->get_shipping_country();

	return $address;

}


// That's all folks!
